QGIS Application - Bug report #11738
Select by location does not work anymore if the intersection layer is a point layer
2014-11-25 08:47 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 19972
Description

it returns no selection. Seems to work with both lines and polygons.

QGIS 2.6 and master affected.

Processing and ftools affected.

Likely a regression (will test).

History

#1 - 2014-12-05 10:50 AM - Lene Fischer

The problem is a regression - same problem from earlier versions.

#2 - 2014-12-05 11:12 AM - Lene Fischer

Same problem for function Vector Overlay tool >Intersection

#3 - 2014-12-07 05:01 AM - Giovanni Manghi

Lene Fischer wrote:

Same problem for function Vector Overlay tool >Intersection

shouldn't be enough to make intersection be limited just to polygons?

#4 - 2014-12-11 01:32 AM - Alexander Bruy

Found the issue. This was caused by old pull-request https://github.com/qgis/QGIS/pull/1495.

#5 - 2014-12-22 10:08 AM - Jon Duckworth

Just tried it with the new update (2.6.1-2) and it still seems to be an issue. It's not always returning a blank layer, sometimes it will select a point or two that
is correct, but is still missing the vast majority of them.
https://github.com/qgis/QGIS/pull/1495

#6 - 2015-02-11 01:10 AM - Martin Dobias
- Resolution set to fixed/implemented
- Status changed from Open to Closed

This has been fixed in commit:84936e59 (processing) and commit:dc156¢ (ftools)
